## org.apache.cassandra.streaming
Class StreamInSession

    java.lang.Object
      org.apache.cassandra.streaming.StreamInSession

    public class StreamInSession

extends java.lang.Object

each context gets its own StreamInSession. So there may be >1 Session per host

Method Summary
`void` `addFiles(java.util.Collection<PendingFile> files)`
`void` `closeIfFinished()`
`static StreamInSession` `create(java.net.InetAddress host, java.lang.Runnable callback)`
`void` `finished(PendingFile remoteFile, SSTableReader reader)`
`static StreamInSession` `get(java.net.InetAddress host, long sessionId)`
`java.net.InetAddress` `getHost()`
`static java.util.Set<PendingFile>` `getIncomingFiles(java.net.InetAddress host)` query the status of incoming files.
`long` `getSessionId()`
`int` `getSourceFlag()`
`static java.util.Set<java.net.InetAddress>` `getSources()` query method to determine which hosts are streaming to this node.
`void` `retry(PendingFile remoteFile)`
`void` `setCurrentFile(PendingFile file)`
`void` `setTable(java.lang.String table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static StreamInSession create(java.net.InetAddress host,
                                         java.lang.Runnable callback)

### get

    public static StreamInSession get(java.net.InetAddress host,
                                      long sessionId)

### setCurrentFile

    public void setCurrentFile(PendingFile file)

### setTable

    public void setTable(java.lang.String table)

### addFiles

    public void addFiles(java.util.Collection<PendingFile> files)

### finished

    public void finished(PendingFile remoteFile,
                         SSTableReader reader)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### retry

    public void retry(PendingFile remoteFile)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeIfFinished

    public void closeIfFinished()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSourceFlag

    public int getSourceFlag()

### getSessionId

    public long getSessionId()

### getHost

    public java.net.InetAddress getHost()

### getSources

    public static java.util.Set<java.net.InetAddress> getSources()

  query method to determine which hosts are streaming to this node.

### getIncomingFiles

    public static java.util.Set<PendingFile> getIncomingFiles(java.net.InetAddress host)

  query the status of incoming files.

Copyright © 2012 The Apache Software Foundation